# Het &konsole;-handboek

Jonathan
Singer

    jsinger@leeta.net

Chris
Machemer

    machey@ptd.net

Onderhouder
Michael
McBride
Nalezer

    mmcbride@ematic.com

Lauri
Watts
Nalezer

    vampyr@atconnex.net

&Niels.Reedijk;

2000
2001
Jonathan Singer
&FDLNotice;
2001-07-09
1.00.20

Dit document is het gebruikershandboek voor het &konsole;-programma

&konsole; is een X-terminalemulator vor &kde; 2.0

KDE
konsole
kdebase
commando
regel

## Inleiding tot &konsole;

&konsole; is een X-terminalemulator die een commandoregel-interface (CLI van command line interface) biedt terwijl u de grafische K Desktop Environment gebruikt. &konsole; helpt uw bureaublad beter te organiser door middel van het bevatten van meerdere sessies in een enkel venster (een minder-vervuild bureaublad).

Zijn geavanceerde mogelijkheden zijn onder andere een simpele configuratie en de mogelijkheid om meerdere terminal-shells in een enkel venster te gebruiken.

Door middel van &konsole; kan een gebruiker:

- &Linux;-console sessies openen

- Midnight Commander bestandsbeheerder-sessies openen

- Shell-sessies openen

- Root-console sessies openen

- Root Midnight Commander-sessies openen

Deze sessies kunnen hernoemd worden om al uw sessies te kunnen herkennen of er kunnen signalen verstuurd worden (STOP, CONT, HUP, INT, TERM, KILL).

Voor meer controle over &konsole;, kan een gebruiker:

- de menu-, werkbalk en/of het frame verbergen/weergeven

- de grootte van een &konsole;-venster, de lettertypen, kleurenschema's en toetsenschema's selecteren

- de locatie van de schuifbalk wijzigen of deze verbergen

Alle gekozen instellingen kunnen standaard gemaakt worden voor toekomstige sessies door middel van deze op te slaan.

### Geschiedenis

Voor degene met een grote interesse voor de wording van vrije X-terminals, zijn er twee andere van deze soort: xterm, het origineel, zelfs geschreven vóór X (een maand of twee) en xvt, een lichtgewicht xterm-kloon, waarop de meeste afgeleidene op gebaseerd zijn (zoals eterm).

Na een decennium, is &konsole; de eerste herschrijving. Terwijl xterm letterlijk doodgehackt is (zijn `README` begint met de woorden Abandon All Hope, Ye Who Enter Here), biedt &konsole; een frisse start door middel van eigentijdse technologieën en begrip van X.

## Gebruik van &konsole;

### Opstarten

Wanneer &konsole; gestart wordt, draait een programma (een Unix-shell) in het venster. Begin gewoon met type op de prompt.

&konsole; Scherm
&konsole; Scherm

### Geschiedenis

Terwijl regels van bovenaan het scherm naar beneden schuiven, kunnen ze bekeken worden door de schuifbalk naar boven te bewegen, of door het gebruik van de Shift Page Up (on een pagina terug te gaan), Shift Page Down (om een pagina verder te gaan), Shift Omhoog (om een regel omhoog te gaan) en Shift Omlaag (om een regel naar beneden te gaan) toetsen (als de "Geschiedenis" optie aan is).

### Muisknoppen

Links

  Als u met de linker muisknop klikt wordt het doorgegeven aan het programma dat uitgevoerd wordt in de emulatie, als het reageert op de muis. Als een programma reageert op muisklikken, geeft &konsole; dit woor door middel van een pijlcursor weer te geven. Zonie, wordt een I-straal (balk)-cursor weergegeven.

  Als u de linker muisknop ingedrukt houdt en sleept over het scherm als een programma draait dat niets van de muis af weet, zal een gedeelte van de tekst gemarkeerd worden. Terwijl u sleept, wordt de gemarkeerde tekst omgekeerd weergegeven voor visuele ondersteuning. Wanneer de knop losgelaten wordt, wordt de gemarkeerde tekst naar het klembord gekopiëerd voor verder gebruik in &konsole; of een ander programma.

  Gewoonlijk worde de nieuwe-regel karakters aan het eind van elke regel geselecteerd. Dit is het beste voor het kopiëren en plakken van broncode of de uitvoer van een bepaald commando. Voor gewone tekst zijn de regelafbrekingen vaak niet belangrijk. Iemand kan liever de tekst als een stroom karakters willen die dan automatisch opnieuw geformatteerd worden als deze in een nieuw programma geplakt worden. Om tekst in stroom-modus te selecteren, houdt de Ctrl toets ingedrukt terwijl u gewoon selecteerd.

  Als de boven- of onderkant van het tekstgebied aangeraakt wordt bij het markeren, schuift &konsole; naar boven of beneden, om uiteindelijk de tekst in de geschiedenisbuffer weer te geven. Het schuiven stopt wanneer de muis stopt met bewegen.

  Nadat de muis is losgelaten, probeert &konsole; de tekst op het klembord zichtbaar te houden door het gebied omgekeerd te houden. Het gemarkeerde gebied wordt weer normaal zodra de inhoud van het klembord gewijzigd wordt, zodra de tekst in het gemarkeerde gebied gewijzigd wordt of zodra de linker muisknop ingedrukt wordt.

  Om tekst te markeren in een programma dat een muis onderstuent, moet u de Shift toets indrukken als u klikt.

Middel

  Als u de middelste muisknop indrukt wordt de tekst momenteel op het klembord geplakt.

  Als u een muis met slechts twee knoppen heeft, zal door het tegelijk indrukken van de linker en de rechter muisknop de middelste muisknop van een drieknopsmuis geëmuleerd worden.

Rechts

  De rechter knop toont het Instellingen-menu. De &Ctrl; rechts knop toon het Bestand-menu, terwijl &Shift; rechts knop toont het Sessies-menu.

### Menubalk

De menubalk is bovenaan het &konsole;-venster. Deze kan verborgen en getoond worden door de Menubalk tonen-optie in het Instellingen-menu in of uit te schakelen. Wanneer de menubalk verborgen is, kan de Menubalk tonen optie bereikt worden door middel van het klikken met rechter muisknop in het venster.

#### Het Bestand-menu

Bestand Linuxconsole

  Opent een nieuwe sessie die een alleen-tekst Linux-systeem emuleert.

  Zie het bestand `README.linux.console` in het &konsole;-bronpakket voor gedetailleerde informatie over hoe de &Linux;console anders is dan een typische &UNIX;-console.

Bestand Midnight Commander

  Opent een nieuwe sessie met de Midnight Commander grafische bestandsbeheerder

Bestand Shell

  Opent een nieuwe sessie met een shell-terminal

Bestand Rootconsole

  Opent een nieuwe sessie met een shell-terminal, als de root-gebruiker.

  Nadat u gevraagd wordt voor het root-wachtwoord, verschijnt de #, wat aangeet dat de gebruiker werkt met root-privileges. Dit is vaak nodig voor het installeren van nieuwe software en ander systeemonderhoud, maar het moet zuinig gebruikt worden om ongelukkige schade te voorkomen.

Bestand Root Midnight Commander

  Opent een nieuwe sessie met de Midnight Commander grafische bestandsbeheerder, als de root-gebruiker.

  Nadat u naar het root-wachtwoord gevraagd wordt, verschijnt de # prompt onder het browservenster, wat aangeeft dat de gebruiker werkt met root-privileges. Nogmaals, dit is vaak nodig maar voorzichtigheid is geboden om schade te voorkomen.

Bestand Afsluiten

  Sluit &konsole; af, waarbij alle sessies en programma's die in de sessies geopend zijn gesloten worden.

U kan ook een nieuwe sessie openen met een toetsenbinding. Standaard is de toetsencombinatie Alt Ctrl N gebruikt. U kan ook uw eigen toetsenbindingen definiëren om een nieuwe terminal-sessie te openen. De bestanden met een `*.keytab`-extensie in `$`KDEDIR`/share/apps/konsole`definiëren toetsenbindingen.

Bijvoorbeeld, als u de definitie `key F12 + Shift : newSession` toevoegt aan het achtieve keytab bestand, wordt een nieuwe shell geopend als u &Shift;F12 indrukt. Gebruik het Instellingen Toetsenbord menucommando om een keytab bestand te kiezen. Het bestand `README.KeyTab` bevat meer informatie over het definiëren van snelkoppelingen.

#### Het Sessies Menu

Sessies Signaal versturen

  Signaal versturen - Stuurt het gespecificeerde signaal naar het shell-proces of ander proces, die gestart was wanneer de nieuwe sessie was gestart.

  Momenteel beschikbare signalen zijn:

  STOP | om een process te stoppen
  CONT | ga daar als je gestopt bent
  HUP | iemand heeft het besturende terminal opgehangen, of het besturende proces is dood
  INT | onderbreking door het toetsenbord
  TERM | terminerende signaal
  KILL | kill-signaal

  Kijk in uw systeem handleiding pagina's voor verdere details door het geven van het commando ``man` `7 signal``.

Sessies Sessie Hernoemen...

  Wijzigt de naam van de actieve sessie

Sessies Sessie pictogrammen

  ONderaan het menu is een lijst van actieve sessies. Als u er één selecteert wordt die sessie actief.

  U kan ook de toetsencombinaties Shift Links/Shift Rechts gebruiken om door de sessies te navigeren.

#### Het Instellingen menu

Instellingen Sessie hernoemen

  Wijzigt de naam van de actieve sessie

Instellingen Menubalk tonen

  Toont of verbergt de menubalk

Instellingen Werkbalk tonen

  Toont of verbergt de werkbalk

Instellingen Kader tonen

  Toont of verbergt het kader langs het venster

Instellingen Schuifbalk

  Beheert de locatie van de schuifbalk: Verbergen, Links of Rechts

Instellingen Volledig scherm

  Schakelt venster tussen volledig scherm en normale grootte

Instellingen Grootte

  Stelt de grootte van het tekstgebied in (gegeven in kolommen x rijen)

Instellingen Lettertypen

  Stelt het lettertype en -grootte in

  Selecteer de Aangepast-optie om elke combinatie van lettertype, -grootte en -stijl te kiezen. Het `README.fonts`-bestand in het &konsole;-bronpakket geeft tips over welke lettertypen goed werken.

Instellingen Schema

  Stelt de kleuren van de tekst en de achtergrond in

  De lijst van deze schema's komen uit `$KDEDIR/share/apps/konsole/*.schema`. Het bestand `$KDEDIR/share/apps/konsole/README.Schema` beschrijft het schemaformaat meer gedetailleerd. Voeg deze bestanden toe of pas ze aan om aan uw wensen te voldoen. U kan ook aangepaste schema's maken in de &kcontrol; module Systeem Konsole.

Instellingen Geschiedenis...

  Opent een dialoogvenster waarin u de geschiedenis kunt instellen. Het Activeren selectievakje (de)activeert het opslaan van de geschiedenis zodra deze aan de bovenkant uit beeld rollen. U kunt het Aantal regels om te onthouden in het tekstveld invoeren of u kunt de spinknoppen gebruiken om het aantal te vermeerderen of te verminderen in stappen van 100. De Standaard knop zal de geschiedenis terugzetten op 1000 regels. Druk de OK knop om uw veranderingen te bewaren of de Annuleren knop om de diallog te sluiten en de veranderingen te niet te doen. De Help knop zal deze handleiding openen en de tekst tonen die u nu leest.

Instellingen Codec

  Nog niet geïmplementeerd

Instellingen Toetsenbord

  Kiest het gewenste toetsenbordschema

  Al deze toetsenbordschema's komen uit `$KDEDIR/share/apps/konsole/*.keytab`. Het bestand `$KDEDIR/share/apps/konsole/README.KeyTab` beschrijft het toetstenbordschema formaat gedetailleerder. Voeg deze bestanden toe of wijzig ze om aan uw wensen te voldoen.

Instellingen Woordscheiders

  Specificeer karakters die herkend worden als scheiders tussen woorden

  Dit heeft toepassing op welke tekst geselecteerd wordt wanneer u dubbelklikt op tekst. Het is vooral belangrijk voor niet-Westerse tekstcoderingen.

Instellingen Waarschuwen voor open sessies bij afsluiten

  Als deze ingeschakeld is, verschijnt er een waarschuwing wanneer u een &konsole;-venster met meerdere sessies af wilt sluiten.

Instellingen Instellingen opslaan

  Slaat de huidige instellingen op als de nieuwe standaarden

#### Het Help menu

F1 Help Inhoud...

  Opent de inhoudsopgave van dit document

Help Technische referentie

  Meer gedetailleerde informatie over terminalemulatie en &konsole;

Help Bug rapporteren...

  Stuurt een bug-melding of een wens voor &konsole; naar het &kde; team.

Help Info over Konsole...

  Informatie over de auteurs van &konsole;

Help Info over KDE...

  Informatie over het KDE-project

### De werkbalk

De werkbalk is onderaan het &konsole;-venster.

Hij kan verborgen en hersteld worden door de Werkbalk tonen-optie in het Instellingen-menu in of uit te schakelen of door het klikken op het handvat aan de linkerkant van de balk. De balk bevat een Nieuw-icoon en iconen voor de huidige sessies. Als u klikt op het Nieuw-icoon wordt er een nieuwe Shell-sessie geopend.

Als u klikt op een bestaande sessie, wordt die sessie actief.

Wanneer de werkbalk verborgen is, kunnen de toetsencombinaties Shift Links en Shift Rechts gebruikt worden om tussen sessies te schakelen.

### Commandoregelopties

Wanneer &konsole; vanaf de commandoregel gestart wordt, kunnen verscheidene opties gespecificeerd worden om het gedrag te wijzigen.

`--help`

  Geeft een lijst van de verscheidene opties

`--name`

  Stelt de naam die in de titelbalk verschijnt in

`--ls`

  Start een login-shell

`--nowelcome`

  Onderdruk het "Welkom bij &konsole;"-bericht dat gewoonlijk verschijnt in de titelbalk

`-T,--title`

  Stelt de venstertitel in

`--xwin`

  Genegeerd

`--nohist`

  Schakelt het opslaan van regels die uit het venster schuiven uit

`--notoolbar`

  Start &konsole; zonder werkbalk

`--vt_sz` `CCxLL`

  Start een terminal-venster met CC kolommen en LL regels

`-e` `commando`

  Voert `commando` uit in plaats van een shell.

Bijvoorbeeld:

    bash$ konsole--vt_sz 90x25--nohist

start een &konsole;-venster met 90 kolommen en 25 rijen, zonder geschiedenis

&konsole; accepteert ook algemene &Qt;- en KDE-opties:

`--help-qt`

  Geeft een lijst van Qt-specifieke opties

`--help-kde`

  Geeft een lijst van KDE-specifieke opties

`--help-all`

  Geeft een lijst van alle opties

`--author`

  Geeft de auteurna(a)m(en)

`-v,--version`

  Geeft het versienummer

`--license`

  Geeft licentie-informatie weer

## Aftiteling en Copyright

&konsole; wordt onderhouden door Chris Machemer machey@ptd.net

Het programma &konsole; copyright 1997-2000 Lars Doelle lars.doelle@on-line.de

Dit document is geschreven door Jonathan Singer jsinger@genome.wi.mit.edu

Geconverteerd naar Docbook SGML door Michael McBride mmcbride@ematic.com en Lauri Watts vampyr@atconnex.net

&vertaling.niels;

&underFDL; &underGPL;

## Installatie

&konsole; is onderdeel van de &kde; 2.0 basispakketten. Het zal automatisch geïnstalleerd worden bij uw &kde;-installatie en het heeft &kde; 2.0 nodig om te functioneren.

Voor meer informatie, moet u &kde;'s website bezoeken op http://www.kde.nl/

Om &konsole; apart te verkrijgen, download het kdebase pakket en compileer en installeer het zoals aangegeven wordt in de hoofdmap van het pakket. Nieuwe versies van kdebase kunnen verkregen worden op ftp://ftp.kde.org/pub/

Om &konsole; te compileren:

    $  cd kdebase/konsole
    $  ./configure
    $  make
    Dan als root:
    #  make install

Informatie over het compileren van &konsole; op andere platforms dan &Linux; is beschikbaar in het `README.ports`-bestand in het &konsole;-bronpakket. Het biedt een lijst van experts voor bepaalde platforms (Tru64, Solaris, OpenBSD) en vraagt vrijwilligers voor andere &UNIX;-platforms.

&documentation.index;